Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types
Class AutoEndorseConstraint_c

    java.lang.Object
      polyglot.types.TypeObject_c
          jif.types.AutoEndorseConstraint_c

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Assertion, AutoEndorseConstraint, polyglot.types.TypeObject, polyglot.util.Copy

    public class AutoEndorseConstraint_c

extends polyglot.types.TypeObject_c
implements AutoEndorseConstraint

An implementation of the `CallerConstraint` interface.

See Also:
  Serialized Form

Field Summary
`protected Label` | `endorseTo`

Fields inherited from class polyglot.types.TypeObject_c
`position, ts`

Constructor Summary
`AutoEndorseConstraint_c(JifTypeSystem ts, polyglot.util.Position pos, Label endorseTo)`

Method Summary
`Label` | `endorseTo()`
`AutoEndorseConstraint` | `endorseTo(Label endorseTo)`
`boolean` | `isCanonical()`
`java.lang.String` | `toString()`

Methods inherited from class polyglot.types.TypeObject_c
`copy, equals, equalsImpl, hashCode, position, typeSystem`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.types.TypeObject
`equalsImpl, position, typeSystem`

Methods inherited from interface polyglot.util.Copy
`copy`

Field Detail

### endorseTo

    protected Label endorseTo

Constructor Detail

### AutoEndorseConstraint_c

    public AutoEndorseConstraint_c(JifTypeSystem ts,
                                   polyglot.util.Position pos,
                                   Label endorseTo)

Method Detail

### endorseTo

    public AutoEndorseConstraint endorseTo(Label endorseTo)

  Specified by:
    `endorseTo` in interface `AutoEndorseConstraint`

### endorseTo

    public Label endorseTo()

  Specified by:
    `endorseTo` in interface `AutoEndorseConstraint`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isCanonical

    public boolean isCanonical()

  Specified by:
    `isCanonical` in interface `polyglot.types.TypeObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD